Skip to main content
GET
Get Course

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

course_id
string
required

Response

Successful Response

Response for GET /api/v1/courses/{id}

id
string
required
title
string
required
status
string
required

generating | paused_for_review | ready | partial_quota_exceeded | error

module_count
integer
required
language
string
required
created_at
string
required
has_quiz
boolean
default:false
outline
Outline · object | null
error_message
string | null
error_stage
string | null

Coarse stage a failure occurred at (job kind, e.g. scene_extract/finalize; or 'assembly' for a recoverable not-deliverable finalize -- content is intact and review/retry continues; 'billing_integrity' for a refused-partial-bill finalize). Null when there is no active failure.

error_detail
string | null

Short human-readable reason for the failure at error_stage. Null when there is no active failure.

external_ref
string | null